Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.context.externalize
Class DebugObjectOutputStream

    java.lang.Object
      org.apache.axis2.context.externalize.DebugObjectOutputStream

All Implemented Interfaces:
  java.io.DataOutput, java.io.ObjectOutput, java.io.ObjectStreamConstants

    public class DebugObjectOutputStream

extends java.lang.Object
implements java.io.ObjectStreamConstants, java.io.ObjectOutput

DebugObjectOutputStream delegates to an ObjectOutput object. Each method logs in/out trace information

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeBoolean(boolean v)`
`void` | `writeByte(int v)`
`void` | `writeBytes(java.lang.String s)`
`void` | `writeChar(int v)`
`void` | `writeChars(java.lang.String s)`
`void` | `writeDouble(double v)`
`void` | `writeFloat(float v)`
`void` | `writeInt(int v)`
`void` | `writeLong(long v)`
`void` | `writeObject(java.lang.Object obj)`
`void` | `writeShort(int v)`
`void` | `writeUTF(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.ObjectOutput`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.ObjectOutput`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Specified by:
    `write` in interface `java.io.ObjectOutput`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Specified by:
    `write` in interface `java.io.ObjectOutput`
  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Specified by:
    `write` in interface `java.io.ObjectOutput`
  Throws:
    `java.io.IOException`

### writeBoolean

    public void writeBoolean(boolean v)
                      throws java.io.IOException

  Specified by:
    `writeBoolean` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeByte

    public void writeByte(int v)
                   throws java.io.IOException

  Specified by:
    `writeByte` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeBytes

    public void writeBytes(java.lang.String s)
                    throws java.io.IOException

  Specified by:
    `writeBytes` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeChar

    public void writeChar(int v)
                   throws java.io.IOException

  Specified by:
    `writeChar` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeChars

    public void writeChars(java.lang.String s)
                    throws java.io.IOException

  Specified by:
    `writeChars` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeDouble

    public void writeDouble(double v)
                     throws java.io.IOException

  Specified by:
    `writeDouble` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeFloat

    public void writeFloat(float v)
                    throws java.io.IOException

  Specified by:
    `writeFloat` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeInt

    public void writeInt(int v)
                  throws java.io.IOException

  Specified by:
    `writeInt` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeLong

    public void writeLong(long v)
                   throws java.io.IOException

  Specified by:
    `writeLong` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeObject

    public void writeObject(java.lang.Object obj)
                     throws java.io.IOException

  Specified by:
    `writeObject` in interface `java.io.ObjectOutput`
  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(int v)
                    throws java.io.IOException

  Specified by:
    `writeShort` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeUTF

    public void writeUTF(java.lang.String str)
                  throws java.io.IOException

  Specified by:
    `writeUTF` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.